use core::ffi::{c_char, CStr};

#[no_mangle]
unsafe extern "C" fn ygg_panic(message: *const c_char) -> ! {
    let message = if message.is_null() {
        "<null>"
    } else {
        CStr::from_ptr(message).to_str().unwrap_or("<invalid str>")
    };

    panic!("Explicit panic: {message}")
}
